Subject: bug#13088: closed (Re: bug#13088: stack overflow while compiling)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 07 Mar 2013 19:11:04 +0000

Your bug report

#13088: stack overflow while compiling

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
13088: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13088
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#13088: stack overflow while compiling
From: Andy Wingo <[email-masked]>
To: [email-masked]
Date: Thu, 07 Mar 2013 14:27:13 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Marking as done.
-- 
http://wingolog.org/

Subject: stack overflow while compiling
From: [email-masked]
To: [email-masked]
Date: Wed, 5 Dec 2012 17:31:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This program tries to compile a long cond expression and fails quickly with
a stack overflow.

Of course this procedure was generated and a user is unlikely to write such a
long cond, but considering the simplicity of the expression I'm surprised that
the stack is so solicited.

Note that I tested with guile 2.0.6 and not the fresh new 2.0.7 but I haven't
noticed anything in the changelog regarding memory consumption.